# MediaInfo_MPEG-TS_TimeStamps_Errors

## Synopsis

This utility displays PCR continuity errors.

## License

Copyright 2002-2010 MediaArea.net SARL. All rights reserved.

Redistribution and use in source and binary forms, without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

Redistribution and use in source and binary forms, with modification, are permitted provided that the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or any later version is met.
Dynamic or static linking to this software are not deemed a modification.

THIS SOFTWARE IS PROVIDED BY MEDIAAREA.NET SARL ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL MEDIAAREA.NET OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

## Compilation

Package to be present on the system : libmediainfo0, libmediainfo0-dev(el), libzen0, libzen0-dev(el), libz/zlib.
`g++ MediaInfo_MPEG-TS_TimeStamps_Errors.cpp -o MediaInfo_MPEG-TS_TimeStamps_Errors -lmediainfo -lzen -lz`

## Options

-h, --help | display this help message
-v, --version | display the version
-f, --full | display all timestamps
-o, --cout | display to standard output instead of file

## Example

Example of output for a stream starting at 04:02:38.040 and ending at 17:58:27.424, with a gap between 04:21:38.173 and 17:41:27.712:

FileOffset (hexadecimal) | FileOffset (decimal) | AbsoluteDuration (27 MHz) | AbsoluteDuration (ms) | AbsoluteDuration (ISO 8601) | RelativeDuration (27 MHz) | RelativeDuration (ms) | RelativeDuration (ISO 6801)
524 | 1316 | 393067086940 | 14558040.257037 | 04:02:38.040 | 994093 | 36.818259 | 00:00:00.037
(Is normal) | (Is normal) | (Is normal) | (Is normal) | (Is normal) | (Is normal) | (Is normal) | (Is normal)
1C3AFC0 | 29601728 | 423850675148 | 15698173.153630 | 04:21:38.173 | 30784582301 | 1140169.714852 | 00:19:00.170
1C3B4E4 | 29603044 | 1719568236881 | 63687712.477074 | 17:41:27.712 | 1326502144034 | 49129709.038296 | 13:38:49.709
(Is normal) | (Is normal) | (Is normal) | (Is normal) | (Is normal) | (Is normal) | (Is normal) | (Is normal)
357AB94 | 56077204 | 1747100455452 | 64707424.276000 | 17:58:27.424 | 1354034362605 | 50149420.837222 | 13:55:49.421